# Without Envoy

envoy imposes alot of stuff

Docker Swarm and Podamn for many servers
- https://github.com/containers/libpod
- How ? https://github.com/containers/libpod/blob/master/transfer.md
- https://podman.io/blogs/


GRPC using improbable
- Works with Dart though ?
- ihttps://github.com/improbable-eng/grpc-web
- Needs the magic: "grpcweb.WrapServer"

https://github.com/ktr0731/evans
- A REALLY good GRPC Tester

https://github.com/cosmotek/grpcservice
- Server and GRPC Web CUI integrated !

https://github.com/cosmotek/_jenn/blob/master/out/shakenNotStirred/clients/client.dart
- code generator to dart and golang. Still a bit shakey i reckon.

---

Client Certs
- jerson-flutter-openpgp
- can then store public key in our Server, and cache in Google bucket ( so we dont have to be HA)

---

Server TLS - AutoCert
https://github.com/lithdew/flatend
- adapt to store Certs on Google Buckets
https://github.com/caddyserver/certmagic

---

Auth
https://github.com/volatiletech/authboss
https://github.com/johnsto/go-passwordless

https://github.com/nicolasparada/go-passwordless-demo
- works with dmeo :)
- user has to auth via email EVERYTIME !!

https://github.com/koesie10/go-passwordless-social
- works with : https://github.com/GetStream/stream-chat-dart
- Just has a DB of events and a stream of them coming in from the backend

Search: 

WenAuthn
https://github.com/koesie10/webauthn
https://github.com/koesie10/webauthn-demo
https://caniuse.com/#search=webauthn
- Yes all browsers

Can be used WITHOUT hardware
security.webauth.webauthn_enable_softtoken=true
security.webauth.webauthn_enable_usbtoken=false
https://webauthn.bin.coffee/


---

Authz
- Casbin



